> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Email Draft



## OpenAPI

````yaml https://api.truestate.io/openapi.json get /email-drafts/{draft_id}/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /email-drafts/{draft_id}/:
    get:
      tags:
        - email-drafts
      summary: Get Email Draft
      operationId: get_email_draft_email_drafts__draft_id___get
      parameters:
        - name: draft_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Draft Id
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailDraftRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    EmailDraftRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        subject:
          type: string
          title: Subject
        body:
          type: string
          title: Body
        member_ids:
          items:
            type: string
            format: uuid
          type: array
          title: Member Ids
        attachments:
          items:
            $ref: '#/components/schemas/EmailAttachmentRef'
          type: array
          title: Attachments
        conversation_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Conversation Id
        job_run_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Job Run Id
        content_check_passed:
          type: boolean
          title: Content Check Passed
      type: object
      required:
        - id
        - subject
        - body
        - member_ids
        - attachments
        - content_check_passed
      title: EmailDraftRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EmailAttachmentRef:
      properties:
        type:
          type: string
          minLength: 1
          title: Type
        id:
          type: string
          minLength: 1
          title: Id
        format:
          type: string
          enum:
            - html
            - pdf
          title: Format
          default: pdf
      type: object
      required:
        - type
        - id
      title: EmailAttachmentRef
      description: A typed platform asset to render as an email attachment.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````